lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler" <...@thetaphi.de>
Subject test-tag does not really test against 2.4, it tests against a branch from trunk on 2008-11-29
Date Thu, 02 Jul 2009 20:44:03 GMT
When doing LUCENE-1723, I restored the old state of RangeQuery & Co from
Lucene 2.4.1 and added all new things from 2.9 to the new renamed
TermRangeQuery & Co classes. Suddenly all tests in test-tag, that should
easily pass the RangeQuery tests, failed.

The source of the problem: the 2.4 backwards branch was not branched from
2.4, instead it was branched from trunk on 2008-11-29. So it includes some
new things like the new Tokenizer API and also MultiTermQuery changes
(because this was already committed when the branch was created).

I was able to fix this by copying the old 2.4 tests for RangeQueries, but
the whole testsuite is not correct because of this.

I could start to fix this by creating a patch with all changes in the
backwards-tests since the branch was started on 2008-11-29 (Revision:
721664, Author: mikemccand), delete the whole branch, branch new from 2.4.1
branch (and not trunk) and merge the test-branch changes from the created
patch again.

Any thoughts?

-----
Uwe Schindler
H.-H.-Meier-Allee 63, D-28213 Bremen
http://www.thetaphi.de
eMail: uwe@thetaphi.de



---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message